INSERT INTO procs set name='Lecteurs - Infos de base - Plusieurs tris possibles', requete='SELECT location_libelle as Localisation, 
libelle_groupe AS Groupe, 
empr_nom as Nom, empr_prenom as \'Prénom\', 
empr_cb as \'Numéro\', 
(CASE empr_sexe WHEN \'1\' THEN \'M\' WHEN \'2\' THEN \'F\' ELSE \' \' END) as Sexe 

FROM empr_caddie_content, docs_location, empr 
LEFT JOIN empr_groupe ON empr_id = id_empr 
LEFT JOIN groupe ON groupe_id = id_groupe 

WHERE empr_location = idlocation  

GROUP BY empr_cb 

ORDER BY location_libelle, 
(CASE (!!choix!!) 
WHEN \'1\' THEN CONCAT(libelle_groupe,\' \', empr_nom, \' \', empr_prenom) 
WHEN \'2\' THEN CONCAT(empr_nom, \' \', empr_prenom) 
WHEN \'3\' THEN empr_cb ELSE \'\' END)', comment='Tri par localisation, ensuite au choix : groupe+nom+prénom OU nom+prénom OU numéro de lecteur', autorisations='1', parameters='<?xml version=\"1.0\" encoding=\"utf-8\"?>
<FIELDS>
 <FIELD NAME=\"choix\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[Tri par localisation, ensuite]]></ALIAS>
  <TYPE>list</TYPE>
<OPTIONS FOR=\"list\">
 <MULTIPLE>no</MULTIPLE>
 <ITEMS>
  <ITEM VALUE=\"1\">Groupe, nom, prénom</ITEM>
  <ITEM VALUE=\"2\">Nom, prénom</ITEM>
  <ITEM VALUE=\"3\">Numéro de lecteur</ITEM>
 </ITEMS>
 <UNSELECT_ITEM VALUE=\"\"></UNSELECT_ITEM>
</OPTIONS>
 </FIELD>
</FIELDS>' 
#charset=utf-8